/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#include <qpushbutton.h>
#include <qvbox.h>

#include "messagescontrolview.h"

//	constructor
//	===========

MessagesControlView::MessagesControlView( QWidget* parent, const char* name )
: QScrollView( parent, name )
{	byte spacing = fontMetrics( ).width( "XX" );

	QVBox* vBox = new QVBox( viewport( ));
	vBox->setEraseColor( viewport( )->eraseColor( ));
	vBox->setMargin( spacing / 2 );
	vBox->setSpacing( spacing );

	addChild( vBox );

	m_copyAll      = new QPushButton( "Copy all",      vBox, "copy all button" );
	m_copySelected = new QPushButton( "Copy selected", vBox, "copy selected button" );

	m_copySelected->setEnabled( false );

	connect( m_copyAll,      SIGNAL( clicked( )), SIGNAL( copyAllClicked( )));
	connect( m_copySelected, SIGNAL( clicked( )), SIGNAL( copySelectedClicked( )));
}

//	slotEnableCopySelectedButton
//	============================

void MessagesControlView::slotEnableCopySelectedButton( const bool b )
{	m_copySelected->setEnabled( b );
}
