/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGESCONTROLVIEW_H_
#define _MESSAGESCONTROLVIEW_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <qscrollview.h>
#include "global.h"

//	forward class definitions
//	=========================

class QPushButton;

//	TransfersControlView class definition
//	=====================================

class MessagesControlView : public QScrollView
{	Q_OBJECT

	public:
		MessagesControlView( QWidget* parent, const char* name );

	signals:
		void copyAllClicked( );
		void copySelectedClicked( );

	public slots:
		void slotEnableCopySelectedButton( const bool b );

	private:
		QPushButton* m_copyAll;
		QPushButton* m_copySelected;
};

#endif	// _MESSAGESCONTROLVIEW_H_
