/***************************************************************************
 *                                                                         *
 *   Copyright (C) 2006 by Kevin Gilbert                                   *
 *   kev.gilbert@cdu.edu.au                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 ***************************************************************************/

#ifndef _MESSAGESVIEWITEM_H_
#define _MESSAGESVIEWITEM_H_

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <klistview.h>
#include "global.h"

//	MessagesViewItem class definition
//	=================================

class MessagesViewItem : public KListViewItem
{	public:
		MessagesViewItem( const byte     timeCol,
						  QListView*     parent,
						  const int      priority,
						  const QString& projectName,
						  const uint     timeStamp,
						  const double   seqNo,
						  const QString& text );

		MessagesViewItem( MessagesViewItem* parent,
						  const int         priority,
						  const double      seqNo,
						  const QString&    text );

		MessagesViewItem( MessagesViewItem* parent,
						  MessagesViewItem* sibling,
						  const int         priority,
						  const double      seqNo,
						  const QString&    text );

		int compare( QListViewItem* otherItem, int col, bool ascending ) const;

	private:
		void paintCell( QPainter* painter, const QColorGroup& cg, int column, int width, int align );

		int    m_priority;
		double m_seqNo;
		byte   m_timeCol;
		uint   m_timeStamp;
};

#endif	// _MESSAGESVIEWITEM_H_
